SoSFVec4d(3)

NAME
SoSFVec4d - The SoSFVec4d class is a container for an SbVec4d vector.

SYNOPSIS

#include <Inventor/fields/SoSFVec4d.h>

Inherits SoSField.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual void copyFrom (const SoField &field)
const SoSFVec4d & operator= (const SoSFVec4d &field)
virtual SbBool isSame (const SoField &field) const
const SbVec4d & getValue (void) const
void setValue (const SbVec4d &newvalue)
const SbVec4d & operator= (const SbVec4d &newvalue)
int operator== (const SoSFVec4d &field) const
int operator!= (const SoSFVec4d &field) const
void setValue (double x, double y, double z, double w)
void setValue (const double xyzw[4])

  Static Public Member Functions
static void * createInstance (void)
static SoType getClassTypeId (void)
static void initClass (void)

  Protected Attributes
SbVec4d value

  Additional Inherited Members

Detailed Description

The SoSFVec4d class is a container for an SbVec4d vector. This field is used where nodes, engines or other field containers need to store a single vector with four elements.

See also
    SbVec4d, SoMFVec4d Be aware that this class is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

Since
    Coin 2.5

Member Function Documentation

  void * SoSFVec4d::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  SoType SoSFVec4d::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoSFVec4d::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoField. This is used for runtime type checking and 'downward' casting.

Implements SoField.

  void SoSFVec4d::copyFrom (const SoField & f) [virtual]
Copy value(s) from f into this field. f must be of the same type as this field.

Implements SoField.

  SbBool SoSFVec4d::isSame (const SoField & f) const [virtual]
Check for equal type and value(s).

Implements SoField.

  void SoSFVec4d::initClass (void) [static]
Internal method called upon initialization of the library (from SoDB::init()) to set up the type system.

  void SoSFVec4d::setValue (double x, double y, double z, double w)
Set value of vector.

  void SoSFVec4d::setValue (const double xyzw[4])
Set value of vector.

Author

Generated automatically by Doxygen for Coin from the source code.